Package net.snowflake.client.core

## Class SFException

- java.lang.Object
- - java.lang.Throwable
  - - net.snowflake.client.core.SFException

All Implemented Interfaces:
  `Serializable`

    public class SFException
    extends Throwable

Created by jhuang on 1/5/16.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SFException​(String queryId, Throwable cause, ErrorCode errorCode, Object... params)`
`SFException​(String queryID, ErrorCode errorCode, Object... params)` Deprecated.
`SFException​(Throwable cause, ErrorCode errorCode, Object... params)` Deprecated.
`SFException​(ErrorCode errorCode, Object... params)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `getCause()` Get the error cause
`Object[]` `getParams()` Get additional parameters
`String` `getQueryId()` Get the query ID
`String` `getSqlState()` Get the SQL state
`int` `getVendorCode()` Get the vendor code
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SFException

    @Deprecated
    public SFException​(ErrorCode errorCode,
                       Object... params)

Deprecated.
Use `SFException(String, Throwable, ErrorCode, Object...)`

Parameters:
  `errorCode` - the error code
  `params` - additional params

#### SFException

    @Deprecated
    public SFException​(String queryID,
                       ErrorCode errorCode,
                       Object... params)

Deprecated.
use `SFException(String, Throwable, ErrorCode, Object...)`

Parameters:
  `queryID` - the query id
  `errorCode` - the error code
  `params` - additional params

#### SFException

    @Deprecated
    public SFException​(Throwable cause,
                       ErrorCode errorCode,
                       Object... params)

Deprecated.
use `SFException(String, Throwable, ErrorCode, Object...)`

Parameters:
  `cause` - throwable
  `errorCode` - error code
  `params` - additional params

#### SFException

    public SFException​(String queryId,
                       Throwable cause,
                       ErrorCode errorCode,
                       Object... params)

Parameters:
  `queryId` - query ID
  `cause` - throwable
  `errorCode` - error code
  `params` - additional params

### Method Detail

#### getCause

    public Throwable getCause()

Get the error cause

Overrides:
  `getCause` in class `Throwable`
Returns:
  Throwable

#### getQueryId

    public String getQueryId()

Get the query ID

Returns:
  query ID string

#### getSqlState

    public String getSqlState()

Get the SQL state

Returns:
  SQL state string

#### getVendorCode

    public int getVendorCode()

Get the vendor code

Returns:
  vendor code

#### getParams

    public Object[] getParams()

Get additional parameters

Returns:
  parameter array

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`